unit cadCompromisso;
                        
interface

uses
  Windows, system.UItypes, IB_Access,  Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ModeloCadastro, ImgList, AppEvnts, IB_Components, ExtCtrls,
  jpeg, Grids, IB_Grid, StdCtrls, Buttons, ComCtrls, Mask, IB_Controls,
  UCBase, IB_EditButton, System.ImageList;

type
  TfrmCadCompromisso = class(TFrModeloCadastro)
    edtDescricao: TIB_Edit;
    edtDataCompromisso: TIB_Date;
    edtHoraCompromisso: TIB_Edit;
    GroupBox1: TGroupBox;
    IB_Date1: TIB_Date;
    IB_Edit1: TIB_Edit;
    IB_Memo1: TIB_Memo;
    IB_CheckBox1: TIB_CheckBox;
    procedure BtGravarClick(Sender: TObject);
    procedure BtInserirClick(Sender: TObject);
    procedure BtExcluirClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCadCompromisso: TfrmCadCompromisso;

implementation

uses DataModulo, Principal;

{$R *.dfm}

procedure TfrmCadCompromisso.BtGravarClick(Sender: TObject);
begin
  if edtDescricao.Text = '' then
  begin
     MessageDlg('Informe uma descrição para o compromisso', mtWarning, [mbOK], 0);
     edtDescricao.SetFocus;
     Exit;
  end;

  if edtDataCompromisso.Value = 0 then
  begin
     MessageDlg('Informe uma data para o compromisso', mtWarning, [mbOK], 0);
     edtDataCompromisso.SetFocus;
     Exit;
  end;

  if edtHoraCompromisso.Field.IsNull then
  begin
     MessageDlg('Informe uma hora para o compromisso', mtWarning, [mbOK], 0);
     edtHoraCompromisso.SetFocus;
     Exit;
  end;

  if TbPrincipal.State in [dssInsert] then
  begin
     if edtDataCompromisso.Value < Date then
     begin
        if MessageDlg('A data do compromisso é menor que a data atual'+#13+#10+'Deseja continuar com o cadastro?', mtConfirmation, [mbYes, mbNo], 0) = mrNo then
           Exit;
     end;
  end;

  TbPrincipal.FieldByName('DATA_CAD').Value   := Date;
  TbPrincipal.FieldByName('HORA_CAD').Value   := Time;
  TbPrincipal.FieldByName('COD_USUARIO').Value:= dados.qrUsuario.FieldByName('cod_usuario').Value;

  inherited;
end;

procedure TfrmCadCompromisso.BtInserirClick(Sender: TObject);
begin
   inherited;
   TbPrincipal.FieldByName('LIDA').Value := False;
end;

procedure TfrmCadCompromisso.BtExcluirClick(Sender: TObject);
begin
   if MessageDlg('Deseja realmente excluir o compromisso selecionado?', mtConfirmation, [mbYes, mbNo], 0) = mrYes then
     inherited;
end;

procedure TfrmCadCompromisso.FormCreate(Sender: TObject);
begin
  Gera_Codigo := True;
  inherited;

end;

end.
